Org settings, dashboards & reporting

Check Onboarding Item Complete

Evaluates whether an onboarding step is complete and upserts the step state to setup when so.

POSThttps://api.toku.com/stablecoin-payroll/check-onboarding-item-complete

Not available to API keys yet. It will need organization:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/check-onboarding-item-complete' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "onboardingItem": "INVITE_ADMINS",
  "overrideForManualCompletion": true
}'
200 response
{
  "isComplete": true
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

onboardingItemstringrequired

Available options: INVITE_ADMINS, SELECT_NETWORKS_AND_STABLECOINS, ADD_EMPLOYEES, INVITE_EMPLOYEES, ADD_PAYROLL_INTEGRATION, CONFIGURE_PAYROLL_SETTINGS, ADD_PAYMENT_INTEGRATION

overrideForManualCompletionbooleanrequired

Response

200Successful response
isCompletebooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits